Table of Contents

Class: ConfigCollection | Twisted-0.17.4/twisted/coil/coil.py
--- | ---

A default implementation of IConfigCollection.

Base Classes |
--- | ---
roots.Constrained

Methods |
--- | ---
entityConstraint getEntityType getNameType
| entityConstraint

    entityConstraint ( self,  entity )

Exceptions |
--- | ---
roots.ConstraintViolation("%s of incorrect type (%s)" %( entity, self.entityType ) )

| getEntityType

    getEntityType ( self )

| getNameType

    getNameType ( self )

Table of Contents

This document was automatically generated on Sat Apr 20 01:32:16 2002 by HappyDoc version 2.0